System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.WSHttpBindingBaseElement To be added.

Represents a configuration element that defines a binding that supports WS-Federation.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this binding element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Called when the content of a specified binding collection is applied to this binding configuration element.

  A collection of binding elements.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("privacyNoticeAt", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Uri To be added. To be added.

  Gets or sets the URI at which the privacy notice is located.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("privacyNoticeVersion", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.IntegerValidator(ExcludeRange=false, MaxValue=2147483647, MinValue=0)
  System.Int32 To be added. To be added.

  Gets or sets an integer that specifies the version of the current privacy notice.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("security", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.Configuration.WSFederationHttpSecurityElement To be added. To be added.

  Gets the type of security to be used with this binding.